2005-06-24 Roberto De Leo <peggish@users.sf.net>
	* eMoviX-0.9.0
	
        - movix-conf was heavily modified, so that now it works fine with K3b!
	- the engish version of credits.man was updated
	- italian translations have been updated
	- the ttf font is now included in the ISO image with its own name
	- made a few changes to the layout of the boot text files
	- updated the remote list in the boot files (english & italian only)
	- now subhelp show up even when a playlist is burned on the CD
	- 'on the fly' playlists are now generated under /tmp rathern than under /
	
2005-03-21 Pascal Giard <evilynux@users.sf.net>
	* scripts/mkmovixiso:
	- Fixed support for extra-mkisofs-options, thanks to
	Massimo Dal Zotto <dz@debian.org>.

Jan-Aug 2004 Balazs, Jochen, Pascal & Roberto
	* eMoviX-0.9.0rc1
	
	*lots* of minor & major improvements & bugfixes
	Just a few items (it would be nice to complete this list soon!):
	- patched isolinux.bin so that now all emovix files have been 
	  moved under a single dir called 'eMoviX'
	- all text stuff is now in utf8 format 
	- all mounts are also managed using the utf8 format
	- help messages are displayed when a single video is found on the CD/DVD
	- an old menu.conf bug with single drive PCs has been fixed
	- remotes support has been improved
	
2003-12-26 Roberto De Leo <peggish@users.sf.net>

	- fixed annoying warning message about 'non-existing README.encoding/mxhelp.txt' (Balazs)

2003-12-25 Roberto De Leo <peggish@users.sf.net>

	- added MPlayer patch implementing a new 'loadcd' command to let MPlayer play 
	  the whole content of a CD: finally 'Play -> CD' works!!!
	- release name changed to 0.9.0 to point out the big differences with respect 
	  to 0.8.0
	
2003-12-22 Pascal Giard <evilynux@users.sf.net>

	* boot-messages/fr/*, README.fr: - Synch'd with english version.

	* README: - Added small notes.

1-21 Dec 2003 Balazs, Jochen, Pascal & Roberto

	- *lots* of minor (but important) bugfixes
	
2003-11-30 Roberto De Leo <peggish@users.sf.net>

	- added supermount support to let users browse the CD drives without
	  having to mount them beforehands
	- minor bugfixes & cleanup
	- added new 'Create Playlist from CD' function to allow player playing
	  all files contained in a CD now that is clear that it is impossible
	  to launch 'movix' from within the MPlayer menu (ok , it is possible
	  but everything will be messed up for good...)
	
2003-11-17 Pascal Giard <evilynux@users.sf.net>

	* debian/control (Suggests): - Added k3b.

	* Makefile.am: - DESTDIR has to be specified for fakeroot to work.
	
	* configure.in: 
	- Removed [now] useless variable. That fixes a bug when no --prefix is
          specified.
 
	* scripts/Makefile.am, scripts/movix-conf.in, scripts/movix-version.in:
        - Cleanly creating the files.

2003-11-10 Roberto De Leo <peggish@users.sf.net>

	* Finally Balazs' movix-builder is now used to generate all binaries
	  (initrd.gz && vmlinuz) and the isolinux.cfg!

	* started making use of the MPlayer patches imported from MoviX
	- added code to let the MPlayer menu start after the end of the playback
	- trying ot add a 'Play -> CD' funciton (not working yet)
	- imported code to let movix.pl generate subs for audio files (Balazs)
	- fixed the bootsplash mechanism for eMoviX (Balazs)
	
2003-9-21 Roberto De Leo <peggish@users.sf.net>

	eMoviX 0.8.0 is released!
	
2003-9-20 Pascal Giard <evilynux@users.sf.net>

	* debian/changelog, README.fr: - New upstream version.

	* debian/control: - Modified description to be compliant with the DPM.

2003-9-12 Roberto De Leo <peggish@users.sf.net>

	* added Spanish translations by Roberto Cerezo Ruiz

2003-9-10 Pascal Giard <evilynux@users.sf.net>

	* src/isolinux/isolinux.cfg: - Added NVidiaTV label.

2003-9-8 Roberto De Leo <peggish@users.sf.net>

	- added support for Trident CyberBlade cards
	- improved settings for the "FB" label
	- improved supoprt for NVidia TV-out
	
2003-9-05 Pascal Giard <evilynux@users.sf.net>

	* README.CVS: - src/isolinux/movix.msg is in the CVS.

	* configure.in: - Creating the config.h is useless.

	* debian/control:
	- Suggesting the movixmaker and movixmaker-2 pkgs.
	- Building eMoviX is architecture independant.

	* debian/rules: - Building eMoviX is architecture independant.

	* debian/changelog: - Version 0.8.0rc2-2 .

2003-9-02 Pascal Giard <evilynux@users.sf.net>

	* src/movix/Makefile.am: - Almost forgot to modify that one.

	* TODO:
	- Added in order to keep track of the tasks.
	- Added note about writing a manpage for mkmovixiso.

	* AUTHORS: - Added credit for Debianization.

2003-9-01 Pascal Giard <evilynux@users.sf.net>

	* configure.in:
	- Checking for the presence of Perl >5.
	- Added DATADIR variable.
	- Added generation of scripts/movix-conf and scripts/movix-version.

	* scripts/movix-conf, scripts/movix-version: - Obsolete, removed.

	* scripts/movix-conf.in, scripts/movix-version.in:
	- Cleanly generated at installation.

	* scripts/Makefile.am: - Removed obsolete part.

	* Makefile.am: - Cleanups.

	* debian/*: - Debianization.

2003-7-20 Pascal Giard <evilynux@users.sf.net>
	* eMoviX-0.8.0rc2cvs20030720
	- Fixed french boot-messages, thanks alot to Xavier 
	 <neveruml@users.sourceforge.net> for testing and fixing files.
	- Fixed poweroff problem when selecting french language.

2003-6-30 Roberto De Leo <peggish@users.sf.net>
	* eMoviX-0.8.0rc2
	- added 'movix-files' script containing a list of all files to be installed from the src/movix dir
	- fixed the SCSI mods loading algorithm
	- mixer.sh temporarily moved back to movix.pl for K3b compatibility
	- added FreeFont and VeraFont true type fonts to the distro
	- replaced busybox's 'fbset', 'ln' and 'umount' binaries with slackware's ones
	- added back the 'setterm' binary to allow removing the cursor during playback
	- README.it and italian boot messages updated to 0.8.0rc2
	- replaced /dev/tty with /dev/tty0 in MPlayer's libvo "aa", "vesa" & "fbdev" files
	  to allow playback when booting from floppy [for some reason /dev/tty does not work
	  in that case]
	
2003-6-22 Pascal Giard <evilynux@users.sf.net>
	* eMoviX-0.8.0-cvs20030622:
	- README.fr updated to 0.8.0rc2.
	
2003-6-22 Roberto De Leo <peggish@users.sf.net>
	* eMoviX-0.8.0-cvs20030622:
	scripts:
	- mkmovixiso now loads dynamically the list of subtitles fonts installed
	- improved support for QT/Win32/RP DLLs inclusion
	- added css option
	- added kbds layout support (Balazs Barany)
	- added colors to the english boot-messages :-)	
	- mixer.pl moved to mixer.sh
	
	initrd:
	- got rid of of the following [hopefully] pointless library:
		libBrokenLocale.so.1
		libSegFault.so
		libanl.so
		libe2p.so
		libext2fs.so
		libcom_err.so
		libcrypt.so
		libdb*
		libnss_*
		libpcprofile.so
		libresolv.so
		librt.so
		libss.so
		libthread_db-1.0.so
		libutil-2.2.5.so
		libuuid.so
	- gzipped all kernel modules to make the initrd smaller
	- got rid of awk
	- replaced most system binaries by the busybox counterpart
	- recompiled perl to remove dependencies on pointless libraries
	- updated dxr3/h+ modules with the ones sent by Ricardo Espinoza
	- improved rc.S SCSI loading modules procedure to avoid conflicts
	  (thanks to Kupor Laszlo for his patch)
	- compiled support for all possible remotes in the lirc binary daemon
	- added support for Pinnacle serial remotes and SONY remotes
	- added setserial, added a few commands to busybox
	
	MPlayer:
	- added support for faad audio format & truetype fonts
	- replaced mpdvdkit2 with dvdread

2003-6-19 Pascal Giard <evilynux@users.sf.net>
        * eMoviX-0.8.0-cvs20030619:
	- Added colors to french boot-messages.

2003-5-25 Pascal Giard <evilynux@users.sf.net>
        * eMoviX-0.8.0-cvs20030525:
        - Added README.translation in order to, hopefully, improve the 
	  translators comprehension.

2003-4-22 Clovis Sena <csena2k2@users.sf.net>
	Docs:
	- updated the README.pt to rc1

2003-4-11 Pascal Giard <evilynux@users.sf.net>
	* eMoviX-0.8.0cvs20030411:
	- Synched README.fr with english version
	- Translated help.txt for french command line help
	- Fixed bad enlignment of mxhelp.txt and mphelp.txt
	- Splitted boot-up help in two files as planned for 0.8.1
	- Encoded the boot-messages in ibm437

2003-3-30 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.8.0rc1: 
	Tons of little fixes, made mainly by Balazs, Pascal & Jochen:
	- added many files to Makefile.am so that they'll be automatically added at
	every release, and added lines to get rid of the annoying CVS dirs
	- fixed the QT typo in the README
	- got rid of many annoying error msgs 
	- fixed the CD slowing down mechanism
	- fixed the eject/umount mechanism
	- many fixes for the TV-out 
	- added back "-fs -zoom" for the "vesa" vodriver
	- got rid of the long pp options
	- added support for extra audio cards
	- many updates to READMEs and boot messages translations
	- hopefully now the rc.S is able to spot any SCSI card on the PC

2003-3-16 Roberto De Leo  <peggish@users.sf.net>
	* eMoviX-0.8.0pre7:
	ALSA drivers updated to 0.9.1
	A few options added to mkmovixiso (by jopu)
	A few minor changes to movix.pl
	Introduced isapnpmodules.sh to load isa ALSA modules when the autodetection
	fails
	Several translations upgrades
	
2003-3-11 Pascal Giard	 <evilynux@users.sf.net>
	* eMovix-cvs20030311:
	Region code selection works for matrox, savage and nvidia cards.

2003-3-4 Pascal Giard	 <evilynux@users.sf.net>
	* eMovix-cvs20030304:
	movix.pl: fixed TV-Out support for nVidia cards.
	Also added support for region code selection at bootup (NTSC, PAL, etc.).
	README: Updated to reflect changes.
	README.fr: Updated to reflect changes.

2003-3-3 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.8.0pre6:
	initrd: fixed a silly mistake in the isapnp autodetection script.
	kernel: rebuilt from scratch. Now MatroxFB and Matrox TV-out seems to work!
	scripts: Balazs added support for playing of non-eMoviX CD with audio/video
	files in their root. The standard label has been brought back to vesa for
	slow CPU with non MPlayer-friendly video card (fbdev seems way too heavy for
	those machines) and the "-framedrop" is now always added by default after
	a Balazs suggestion.

2003-3-1 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.8.0pre5:
	initrd: pcimodules and isapnpmodules binaries have been substituted by shell scripts 
	in rc.S. **Hopefully now ISA audio cards autodetection will work...**
	awk has been added since it is used in the isapnpmodules script.
	MPlayer: a patch has been applied to let fbdev work when the system is booted from 
	the new floppy image (/dev/tty -> /dev/console since /dev/tty seem to be dead when booting 
	from the floppy); dvd and audiocd support has been added at the cost of ~100Kb.
	Kernel: MatroxG550 patch applied.
	Scripts: movix.pl now supports "aliases": if called as "dvd", "vcd" or "acd" it searches
	& plays	DVDs, VCDs and AudioCDs. This implied just a few corrections in the movix.pl code.
	The "-framedrop" option has been added for the "sdl" vo driver to eliminate the audio/video
	delay.
	A "help" mechanism has been introduced by Balazs to allow interationalization for
	the "user-friendly" eMoviX help at the prompt.
	Autoconf: now the version number in mxhelp files is automatically set by the "make install" 
	command.
	Languages: Portuguese translation of boot messages added.
	
2003-2-5 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.8.0pre4:
	Added Balazs patches to let work cards that need OSS emulation, to let TV work
	and to make the prompt more user-friendly for MPlayer novices.
	Fixed the error that would not set the screen centered for slow CPUs and would
	not let certain Rage cards use the vidix module.
	Added Dxr3/H+ modules that were forgotten in pre3.
	Added vidix option for Trident CyberBlade cards in movix.pl.
	Added boot messages in nl, de and hu and the full README.nl.

2003-1-30 Roberto De Leo  <peggish@users.sf.net>
	* eMoviX-0.8.0pre3: 
	System: alsa9 upgraded to 0.9.0rc7
	MPlayer: upgraded to 0.90rc3, included support for QuickTime playback, applied 
	fixes for the vesa bug [no more blank screens after the playback!] and a fbdev 
	bug [mplayer doesn't crash anymore while playing playlists!]. 
	These were my first contributions the the MPlayer projects itself, wow!
	Scripts: now the default video driver is fbdev, by far the best on the console.
	Many improvements have been made to movix.pl, in particular for handling
	input from the boot and from the .movixrc file and for mplayer options
	with the fbdev and sdl drivers.
	A few options have been also added to mkmovixiso for setting the default 
	boot label, including QT DLLs, and a few other parameters.
	Internationalization: the boot messages are now available in a few extra languages.
	
2002-12-21 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.8.0pre2: added manpage.txt for the mplayer Help menu entry.
	The "-geometry" option has been added to the mplayer options to make sure
	that the fbdev driver shows the movie at the right place. Set ffmpeg12
	as default mpg codec to avoid the vesa:vidix - mpeg12 crash.
	Added "-nooverlapsub" to mplayer's option. 

2002-12-20 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.8.0pre1: 
	System:  added alsa9 modules, libs and progs. alsamixer substituted
	nmixer in the second console. Fixed stupid problem with the movix
	script in /etc/profile.
	MPlayer: upgraded to 0.90rc1, added support for alsa9 and the menu feature.
	Kernel:  added back support for Bt848 tv cards and lirc	to be able to use 
	the Hauppauge remote. This required also to add the net support as lirc
	uses it :(
	Scripts: added support for new boot options; added instructions to unload 
	audio modules not used by the card to minimize the amount of RAM used;
	added lines to load the lirc daemon. Added a few updates to the bugReport
	script.
	
2002-12-3 Roberto De Leo  <peggish@users.sf.net>
        * eMoviX-0.7.0: changed name to eMoviX!
	Kernel updated to 2.4.20. Additional console added to make easier 
	using nmixer. Script files put outside the initrd.gz to make easy 
	fixing and developing. 
	Eliminated support for net, tv and dvd now that the new MoviX package
	is available.

2002-11-21 Roberto De Leo  <peggish@users.sf.net>
        * MoviX-0.6.1pre2: mplayer updated to 0.90pre10. SDL, arts, lirc, TV 
	and straming support has been added to it. SDL&arts libraries and TV
	modules have been added but net modules&net support is not yet
	available. New boot labels "vesaFB" and "sdl" have been added.

2002-11-05 Roberto De Leo  <peggish@users.sf.net>
        * MoviX-0.6.1pre1: nmixer has been substituted with a working copy.
	"-double" option added to mplayer options to avoid subtitles blinking.

2002-11-01 Roberto De Leo  <peggish@users.sf.net>
        * MoviX-0.6.0: MPlayer and SysLinux have been updated to versions 0.90pre9
	and 2.00 respectively. A console mixer [nmixer] has been added. Support
	for DVD, wmv & asf formats and for playlists has been added to mplayer.
	Now mkmovixiso takes all files to include as last arg without any flag.
	Several small fixes have been made to mkmovixiso and movix.pl.
	Many mplayer parameters have been added for the "aa" label.
	Boot parameters LIST, VO_DRIVER and MP_OPTIONS have been added. 
	The ".mplayer" dir that was used to contain the distro fonts has been 
	renamed "mplayer" to avoid problems with Nero. 
	Added a few log messages in the debug script.

2002-10-20 Roberto De Leo  <peggish@users.sf.net>
        * MoviX-0.6pre3: MPlayer has been recompiled with smarter flags and using gcc 3.2
	as suggested by Jeff Moe and with a little help by Arpi [mplayer creator]. 
	MPlayer now should take advantage of specific CPU flags [mmx, 3dnow, sse etc] 
	detecting them automatically, so that sw acceleration should be much more effective 
	now. Support for Dxr3/H+ cards and for the "aa" (ascii-art) driver has been added.
	MoviX MPlayer configuration flags are available in the src directory.
	Also the kernel configuration has been modified to make vmlinuz as small as possible 
	(so now all FB except the vesa one are loaded as modules) to make possible to produce 
	a MoviX floppy bootdisk. The kernel config used for MoviX is available in the src dir.
	A stupid bug in mkmovixcd concerning isolinux.bin has been fixed.
	A patch for Rage128 has been applied to mplayer so maybe now it will display again
	movies in full colors.
	The movix.pl script has been updated to take care of all the new stuff.
		
2002-10-13 Roberto De Leo  <peggish@users.sf.net>
        * MoviX-0.6pre2:  An autoconf/automake mechanism has been finally built to install 
	easily the MoviX package.
	A new Perl script called "mkmovixiso" has been created to make easier
	the creation of a MoviX isoimage; the only documentation available up to now
	is available running "mkmovixiso --help" after the installation.
	Many little but significant fixes and improvements were made thanks to Jose' Fandinho.
	In particular a debug script has been added to make easier putting lots of 
	important system info in a floppy & now the movix script is able to select the
	AGP card in systems where an AGP and a PCI cards are present at the same time.
	For easy reading, a copy of the movix script has been put in the "src" directory.
	
2002-10-11 Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.6: trying to add SCSI support. MoviX should now be able to support CDROMs
	connected to SCSI cards with the following chipsets: Acard, Adaptec AIC7xxx and
	SYM53C8XX. MoviX MPlayer now has been compiled with specific support for 3Dfx Voodoo*.
	
2002-10-8  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.5.1: made a few fixes in movix.pl: recent Matrox cards now should visualize
	through the "mga" driver and CD-ROM speeds are limited to 12X to reduce noise.
	Support for i810/815 has been added in the MoviX kernel but I could not verify yet
	whether it really works or not. Got rid of the annoying "MPlayer" green label on top 
	of the screen when using the "vesa" driver (hope MPlayer developers won't get upset,
	but when you watch a movie you want to see only the movie ;).

2002-10-3  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.5: finally the number of kernels has been brought to one; now it is the 
	script that chooses the right driver for the video card, so hopefully nobody will 
	have anymore to use any label. 
	In any case two labels have been left to allow the user to force the use of the 
	"vesa" driver and of specific FB drivers, if any.
	To improve the customizability of MoviX a directory ".mplayer" has been left out from
	the initrd image. It contains the font directory, so that the user can substitute
	his own fonts to the default ones before making the iso image. In the same directory
	it is possible to insert an mplayer config file to customize mplayer's behaviour.
	A couple of option to optimize playback quality and speed have been added to the
	movix script after suggestions by Jose' Fandinho.
	The directory isolinux has been moved with all others MoviX ingredients inside
	the dir "src".
	Last but not least, now at the end of the movie a note will give instructions to the 
	user on how play another movie without rebooting.
	
2002-09-30  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.4.1: this is mainly a bug-fixing release. The booting labels have been 
	simplified respect to 0.4 and the choice between hardware or software driver (i.e. 
	whether or not vidix must be activated in mplayer) is again done inside the movix.pl 
	script (so GeForce again works with the default boot label). Optimization for CD 
	playback have been added to movix.pl and a "-cache 8192" mplayer option has been added 
	following a suggestion by Jose' Fandinho. 
	Many thanks also to Krzysztof Kajkowski for providing a set of eastern fonts that 
	should work with both iso-8859-2 and WINDOWS-1250 encodings!
	Finally, ogg/vorbis support has been added to mplayer.
	
2002-09-28  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.4: first of all, mplayer version has been updated from 0.90pre6 to 0.90pre8. 
	Now besides the FB interface is also available the Vesa MPlayer
	interface, that should allow more cards to work. Besides, support for eastern
	languages has been added (but I still have to find out how to add more languages
	at the same time: after trying hard to make hebrew & polish coexist I gave up...)
	and the movix.pl script has been changed a lot, making finally mplayer play
	sequencially all movie files on the CD!
	Finally, Matrox support has been enhanced through the mga mplayer interface.
	
2002-09-21  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.3: 
	   - added support for nvidia and sis chipsets (but they need to be checked!); 
	   - added search routine for the cdrom drive containing the movix cd;
	   - fixed the routine that sets mplayer "-vo" flag depending on the video chipset;
	   - redirected to /tmp/mplayer.log and /tmp/mplayer.err the output of mplayer 
	     for easier debugging;
	   - eliminated the reboot command in case of audio/video problems (the movie will be
	     played even if no audio card has been recognized)
	
2002-09-06  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.2: just a few minor fixes. Mainly, to avoid mplayer playing failures with
	old cards (S3, G100, Millennium II) now the video codec called from mplayer is by 
	default "fbdev" unless the card has one of the following chips (in which case the 
	codec is "fbdev:vidix"):
	Matrox G200/400/450/550, Ati Mach64, Ati Rage128, Ati Radeon, NVidia.
	The old logo has been superseded by a new nice logo by ScriptaManent.
	
2002-09-02  Roberto De Leo  <peggish@users.sf.net>
	* MoviX-0.1: first public version of MoviX. 
